<!--入库 -->
<template>
	<view class="rkpage">
		<!-- 标题栏 -->
		<view class="mianheade" @click="goback()">
			<image src="../../static/img/n_back.png" class="blacBackico"></image>
			<text class="pagetitle">入库</text>
		</view>
		<!--入库菜单-->
		<view class="rkMuen">
			<view class="item" @click="otherPage(1)">
				<image src="../../static/img/rk_shico.png" class="rkico"></image>
				<text class="t1" >收货</text>
			</view>
			<view class="item"  @click="otherPage(2)">
				<image src="../../static/img/rk_fcgsjico.png" class="rkico"></image>
				<text class="t1">采购/生产上架</text>
			</view>
			<view class="item"  @click="otherPage(3)">
				<image src="../../static/img/rk_cgsjico.png" class="rkico"></image>
				<text class="t1">非采购上架</text>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				title: 'Hello'
			}
		},
		onBackPress(e) {
			this.$util.appgoBack(e,'index')
			return true;
		},
		methods: {
			goback() {
				uni.navigateTo({
					url: "/pages/index"
				})
			},
			otherPage(type) {
				if(type ==1 ){
					// 收货
					uni.navigateTo({
						url: "/pages/warehous/takeDelivery"
					})
				}
				if(type ==2 ){
					// 采购上架
					uni.navigateTo({
						url: "/pages/warehous/cgPutOnsale"
					})
				}
				if(type ==3 ){
					// 非采购上架
					uni.navigateTo({
						url: "/pages/warehous/noCgPutOnsale"
					})
				}
			}
		}
	}
</script>
<style lang="scss">
	@import "@/static/public.scss";
</style>